Routes

Get collection status

GEThttps://api.insurely.com/insurance-collection/status/{collectionId}

Returns the current status of an initiated collection of insurance data. The value of status will be one of the following: `RUNNING`, `LOGIN`, `TWO FACTOR PENDING`, `COLLECTING`, `COMPLETED PARTIAL`, `COMPLETED`, `COMPLETED EMPTY`, `USER INPUT`, `FAILED`, `WAITING FOR AUTHENTICATION`, `INCORRECT CREDENTIALS`. Depending which login method that was used to authenticate the user additional information might be included in the response. The additional information needs to be passed to the user to finalize the authentication process.

Request

Path Parameters

collectionIdstring

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2021-01-01.

Responses

Status successfully fetched.

Body

A key-value map containing potential extra information, depending on the company the collection is getting data from.

idstring

The collection ID of the request

insuranceCompanystring

Insurance company that this collection is from

statusstring

Current status of the collection request. Possible values are: RUNNING, LOGIN, COLLECTING, COMPLETED, COMPLETED PARTIAL, COMPLETED EMPTY, FAILED, USER INPUT, WAITING FOR AUTHENTICATION, INCORRECT CREDENTIALS

cURL
curl https://api.insurely.com/insurance-collection/status/{collectionId}